system_subnet_pool_member_list

List members in subnet pool
get/v1/system/subnet-pools/{pool}/members

Path Parameters

pool

Name or ID of the subnet pool

Query Parameters

limit

Maximum number of items returned by a single call

page_token

Token returned by previous call to retrieve the subsequent page

Responses

Object
items

list of items on this page of results

A member (subnet) within a subnet pool

Object
id

ID of the pool member

max_prefix_length

Maximum prefix length for allocations from this subnet; a larger prefix means smaller allocations are allowed (e.g. a /24 prefix yields smaller subnet allocations than a /16 prefix).

min_prefix_length

Minimum prefix length for allocations from this subnet; a smaller prefix means larger allocations are allowed (e.g. a /16 prefix yields larger subnet allocations than a /24 prefix).

subnet

The subnet CIDR

subnet_pool_id

ID of the parent subnet pool

time_created

Time the pool member was created.

next_page

token used to fetch the next page of results (if any)